%{?nodejs_find_provides_and_requires}

# tests are hanging therefore disabled
%global enable_tests 0
%global packagename union

Name:       nodejs-%{packagename}
Version:    0.4.6
Release:    3%{?dist}
Summary:    A hybrid streaming middleware kernel backwards compatible with connect
License:    MIT
URL:        https://github.com/flatiron/%{packagename}
Source0:    https://github.com/flatiron/%{packagename}/archive/%{version}.tar.gz

BuildArch:  noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  nodejs-packaging
BuildRequires:  npm(qs)

%if 0%{?enable_tests}
BuildRequires:  npm(vows)
BuildRequires:  npm(request)
%endif

%description
A hybrid streaming middleware kernel backwards compatible with connect.

%prep
%autosetup -n %{packagename}-%{version}

%nodejs_fixdep qs

%build
#nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json lib \
    %{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
vows test/*-test.js --spec -i
%endif

%files
%doc README.md examples
%license LICENSE
%{nodejs_sitelib}/%{packagename}

%changelog
* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Mon Apr 24 2017 Parag Nemade <pnemade AT redhat DOT com> - 0.4.6-1
- initial package
